<<<<<<< HEAD
<div class="" style="height: 90vh;">
  <kendo-grid [data]="dataGrid" [filter]="filter" [filterable]="true" (filterChange)="filterChange($event)"
    [selectable]="true" [navigable]="true" [reorderable]="true" [resizable]="true" [sort]="sort" [sortable]="true"
    (sortChange)="sortChange($event)" [groupable]="true" [group]="groups" (groupChange)="groupChange($event)" (edit)="editRow($event)"
    (remove)="deleteRow($event)" style="height: 87vh">
    <ng-template kendoGridToolbarTemplate>
      <div class="row">
        <div class="col">
          <span class="h5">Mantenimiento {{ seccion }}</span>
        </div>
        <div class="col d-flex justify-content-end">
          <button (click)="newRow()" class="btn btn-success">
            <i class="fa fa-plus mr-2"></i>Nuevo
          </button>
          <button (click)="printPDF()" class="btn btn-danger ml-1" [disabled]="!dataGrid.data">
            <i class="fa fa-file-pdf-o mr-2"></i>PDF
          </button>
        </div>
      </div>
    </ng-template>
    <div *ngFor="let item of gridFields">
      <kendo-grid-column [field]="item.dataKey" [title]="item.title" [width]="item.width" [filterable]="item.filtro"></kendo-grid-column>
    </div>
    <kendo-grid-command-column title="Actions" width="190">
      <ng-template kendoGridCellTemplate let-isNew="isNew">
        <button kendoGridEditCommand [primary]="true">Editar</button>
        <button kendoGridRemoveCommand>Eliminar</button>
      </ng-template>
    </kendo-grid-command-column>
  </kendo-grid>
  <div class="animated fadeIn" *ngIf="flagShowForm">
    <kendo-window title="{{ seccion }}" width="600" (close)="close('window')">
      <form [formGroup]="myFormGroup" class="k-form">

        <fieldset class="mb-4 mt-1">
          <legend *ngIf="!flagEdit">Nuevo</legend>
          <legend *ngIf="flagEdit">Editar</legend>
          <div class="row d-flex justify-content-between">
            <label class="k-form-field col-4">
              <span># Cam</span>
              <input type="number" class="k-textbox" name="camarista" [(ngModel)]="myFormGroup.value.camarista"
                formControlName="camarista" [readOnly]="flagEdit" maxlength="4" min="0" max="9999" />
            </label>
            <label class="k-form-field col-8">
              <span>Nombre</span>
              <input type="text" class="k-textbox" name="cnombre" [(ngModel)]="myFormGroup.value.cnombre"
                formControlName="cnombre" maxlength="40">
            </label>
          </div>
          <div class="row">
            <label class="k-form-field col-6">
              <span>Sección</span>
              <kendo-combobox [data]="dsSecciones" [(ngModel)]="myFormGroup.value.seccion" [textField]="'sdesc'"
                [valueField]="'Seccion'" [filterable]="true" formControlName="seccion" name="seccion" class="w-100">
              </kendo-combobox>
            </label>
            <label class="k-form-field col-6">
              <span>Depto</span>
              <kendo-combobox [data]="dsDeptos" [(ngModel)]="myFormGroup.value.depto" [textField]="'ddesc'"
                [valueField]="'depto'" [filterable]="true" formControlName="depto" name="depto" class="w-100">
              </kendo-combobox>
            </label>
          </div>
          <div class="row">
            <label class="k-form-field col-6">
              <span>Descanso</span>
              <kendo-combobox [data]="dDescanso" [(ngModel)]="myFormGroup.value.cdd" [textField]="'title'" [valueField]="'value'"
                [filterable]="true" formControlName="cdd" name="cdd" class="w-100">
              </kendo-combobox>
            </label>
            <label class="k-form-field col-6">
              <span>Cubre Turno</span>
              <kendo-combobox [data]="dataComplete" [(ngModel)]="myFormGroup.value.cct" [textField]="'cnombre'"
                [valueField]="'camarista'" [filterable]="true" formControlName="cct" name="cct" class="w-100">
              </kendo-combobox>
            </label>
          </div>
          <div class="row">
            <label class="k-form-field col-4">
              <span>localización</span>
              <kendo-combobox [data]="localizacion" [(ngModel)]="myFormGroup.value.clocal" [textField]="'loc'"
                [valueField]="'abrev'" [filterable]="true" formControlName="clocal" name="clocal" class="w-100">
              </kendo-combobox>
            </label>
            <label class="k-form-field col-4">
              <span>Trabajo</span>
              <kendo-switch name="clab" [(ngModel)]="myFormGroup.value.clab" formControlName="clab" [onLabel]="'Si'"
                [offLabel]="'No'">
              </kendo-switch>
            </label>
            <label class="k-form-field col-4">
              <span>Cubre Turno</span>
              <kendo-combobox [data]="siTrabajos" [(ngModel)]="myFormGroup.value.trabajo" [textField]="'tdesc'"
                [valueField]="'trabajo'" [filterable]="true" formControlName="trabajo" name="trabajo" class="w-100">
              </kendo-combobox>
            </label>
          </div>
        </fieldset>

        <div class="text-right">
          <button type="button" class="k-button" (click)="closeForm()">Cancel</button>
          <button type="button" class="k-button k-primary ml-1" [disabled]="myFormGroup.invalid" (click)="guardarForm()">Guardar</button>
        </div>

      </form>
    </kendo-window>
  </div>
</div>
=======
<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button (click)="newRow(modalDatos)" class="btn btn-primary">
    <i class="fa fa-plus mr-2"></i>Nuevo
  </button>
  <button (click)="printPDF()" class="btn btn-danger ml-1" [disabled]="loading || !dataGrid.length">
    <i class="fas fa-file-pdf mr-2"></i>PDF
  </button>
</app-page-title>

<div class="main-card mb-3 card animated fadeIn">
  <div class="card-body">

    <kendo-grid [kendoGridBinding]="dataGrid" [filter]="filter" filterable="menu" [selectable]="true" [navigable]="true"
      [reorderable]="true" [resizable]="true" [sortable]="true" [groupable]="false" (edit)="editRow($event, modalDatos)"
      (remove)="deleteRow($event)" [pageable]="{ buttonCount: 5, pageSizes: [10, 25, 50] }" [pageSize]="pageSize" style="height: 75vh;">
      <div *ngFor="let item of gridFields">
        <kendo-grid-column [field]="item.dataKey" [title]="item.title" [width]="item.width" [filterable]="item.filtro">
        </kendo-grid-column>
      </div>
      <kendo-grid-command-column title="Actions" width="185">
        <ng-template kendoGridCellTemplate let-isNew="isNew">
          <button kendoGridEditCommand [primary]="true">Editar</button>
          <button kendoGridRemoveCommand>Eliminar</button>
        </ng-template>
      </kendo-grid-command-column>
    </kendo-grid>

    <ngx-loading [show]="loading" [config]="loadingColor"></ngx-loading>

  </div>
</div>

<ng-template #modalDatos let-c="close" let-d="dismiss">
  <div class="modal-header">
    <h6 class="modal-title" *ngIf="!flagEdit">Nuevo</h6>
    <h6 class="modal-title" *ngIf="flagEdit">Editar</h6>
    <button class="close" aria-label="Close" (click)="d()">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <form [formGroup]="myFormGroup" class="k-form">
      <div class="row d-flex justify-content-between">
        <label class="k-form-field col-sm-4">
          <span># Camarista</span>
          <input type="number" class="form-control" formControlName="camarista" [readOnly]="flagEdit" appFocus />
        </label>
        <label class="k-form-field col-sm-8">
          <span>Nombre</span>
          <input type="text" class="form-control" formControlName="cnombre">
        </label>
      </div>
      <div class="row">
        <label class="k-form-field col-sm-6 col-md-6">
          <span>Sección</span>
          <kendo-combobox [data]="dsSecciones" [textField]="'sdesc'" [valueField]="'Seccion'" formControlName="seccion"
            [valuePrimitive]="true" class="w-100">
          </kendo-combobox>
        </label>
        <label class="k-form-field col-sm-6 col-md-6">
          <span>Depto</span>
          <kendo-combobox [data]="dsDeptos" [textField]="'ddesc'" [valueField]="'depto'" formControlName="depto"
            [valuePrimitive]="true" class="w-100">
          </kendo-combobox>
        </label>
      </div>
      <div class="row">
        <label class="k-form-field col-sm-6 col-md-6">
          <span>Descanso</span>
          <kendo-combobox [data]="dDescanso" [textField]="'title'" [valueField]="'value'" formControlName="cdd"
            [valuePrimitive]="true" class="w-100">
          </kendo-combobox>
        </label>
        <label class="k-form-field col-sm-6 col-md-6">
          <span>Cubre Turno</span>
          <kendo-combobox [data]="dataComplete" [textField]="'cnombre'" [valueField]="'camarista'" formControlName="cct"
            [valuePrimitive]="true" class="w-100">
          </kendo-combobox>
        </label>
      </div>
      <div class="row">
        <label class="k-form-field col-sm-6 col-md-4">
          <span>Localización</span>
          <kendo-combobox [data]="localizacion" [textField]="'loc'" [valueField]="'abrev'" formControlName="clocal"
            [valuePrimitive]="true" class="w-100">
          </kendo-combobox>
        </label>
        <label class="k-form-field col-sm-6 col-md-4">
          <span>Labora</span>
          <kendo-switch formControlName="clab" [onLabel]="'Si'" [offLabel]="'No'">
          </kendo-switch>
        </label>
        <label class="k-form-field col-sm-6 col-md-4">
          <span>Trabajo</span>
          <kendo-combobox [data]="siTrabajos" [textField]="'tdesc'" [valueField]="'trabajo'" formControlName="trabajo"
            [valuePrimitive]="true" class="w-100">
          </kendo-combobox>
        </label>
      </div>
    </form>
  </div>
  <div class="modal-footer">
    <button class="btn btn-success mr-1" (click)="guardarForm()" [disabled]="myFormGroup.invalid">
      <i class="fas fa-save mr-2"></i>Guardar
    </button>
    <button class="btn btn-secondary" (click)="c()">
      Cancelar
    </button>
  </div>
</ng-template>
>>>>>>> dev-alberto
